Bug 490423 - Crash at ../src/npw-viewer.c:4675 while opening pdf file from web in Firefox
Crash at ../src/npw-viewer.c:4675 while opening pdf file from web in Firefox
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 06:33 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 09:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-16 06:33:53 EDT
Description of problem:

Core was generated by `/usr/lib64/nspluginwrapper/npviewer.bin --plugin /usr/lib64/mozilla/plugins/moz'.
Program terminated with signal 11, Segmentation fault.
#0  XtRemoveInput (id=180485552) at NextEvent.c:1027
1027		XtAppContext app = ((InputEvent *)id)->app;
#0  XtRemoveInput (id=180485552) at NextEvent.c:1027
#1  0x0000000000405c8c in get_appcontext_input_count_offset () at ../src/npw-viewer.c:4233
#2  0x0000000000405ec5 in get_appcontext_input_count () at ../src/npw-viewer.c:4251
#3  xt_get_next_timeout () at ../src/npw-viewer.c:4273
#4  xt_event_prepare () at ../src/npw-viewer.c:4309
#5  0x0000003d6283b08a in IA__g_main_context_prepare (context=0x7f9c0abd92f0, priority=<value optimized out>) at gmain.c:2134
#6  0x0000003d6283b488 in g_main_context_iterate (context=0x7f9c0abd92f0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2428
#7  0x0000003d6283bd25 in IA__g_main_loop_run (loop=0x7f9c0ac1f150) at gmain.c:2656
#8  0x00000036fc143f47 in IA__gtk_main () at gtkmain.c:1205
#9  0x0000000000407221 in do_main (connection_path=<value optimized out>, argv=0x7fff17c76048, argc=1) at ../src/npw-viewer.c:4501
#10 main (connection_path=<value optimized out>, argv=0x7fff17c76048, argc=1) at ../src/npw-viewer.c:4675

Version-Release number of selected component (if applicable):

nspluginwrapper-debuginfo-1.3.0-5.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.x86_64

How reproducible: sometimes

Steps to Reproduce:
1. Go to: http://www.czechgrandprix.cz/cs/
2. Open "Kalendář ke stažení (pdf)" link
3. Opens in new window, crashes
Comment 1 Michal Nowak 2009-03-16 12:19:26 EDT
Core was generated by `/usr/lib64/nspluginwrapper/npviewer.bin --plugin /usr/lib64/mozilla/plugins/moz'.
Program terminated with signal 6, Aborted.
#0  0x0000003d61033275 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
#0  0x0000003d61033275 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003d61034aea in *__GI_abort () at abort.c:88
#2  0x0000003d6106f60d in __libc_message (do_abort=2, 
    fmt=0x7fffd34cec50 "0 00:00 0", ' ' <repeats 22 times>, "[vdso]\nffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0", ' ' <repeats 18 times>, "[vsyscall]\n", ' ' <repeats 13 times>, "/usr/lib64/libvorbisfile.so.3.2.0\n3d7ba06000-3d7ba07000 rw-p 0000"...) at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x0000003d61075146 in malloc_printerr (action=3, str=0x3d611341b8 "double free or corruption (!prev)", ptr=<value optimized out>) at malloc.c:5984
#4  0x0000003d61079a4f in *__GI___libc_free (mem=<value optimized out>) at malloc.c:3625
#5  0x000000000040a65d in g_NPN_DestroyStream (instance=<value optimized out>, stream=0x1de0130, reason=<value optimized out>) at ../src/npw-viewer.c:1868
#6  0x0000000003a162d7 in NPP_WriteReady () from /usr/lib64/mozilla/plugins/mozplugger.so
#7  0x0000000000403cb5 in g_NPP_WriteReady (instance=<value optimized out>, stream=<value optimized out>, instance=<value optimized out>, stream=<value optimized out>) at ../src/npw-viewer.c:3823
#8  handle_NPP_WriteReady (instance=<value optimized out>, stream=<value optimized out>, instance=<value optimized out>, stream=<value optimized out>) at ../src/npw-viewer.c:3844
#9  0x00000000004108be in _rpc_dispatch_1 (connection=0x1dddce0, message=0x7fffd34cf4d0) at ../src/rpc.c:1648
#10 0x0000000000410c52 in _rpc_dispatch (connection=<value optimized out>, message=<value optimized out>, connection=<value optimized out>, message=<value optimized out>) at ../src/rpc.c:1679
#11 rpc_dispatch (connection=<value optimized out>, message=<value optimized out>, connection=<value optimized out>, message=<value optimized out>) at ../src/rpc.c:1747
#12 0x000000000040393c in rpc_event_dispatch (source=<value optimized out>, callback=0x7c89, connection=0x6) at ../src/npw-viewer.c:4386
#13 0x0000000000d0911e in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#14 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#15 0x0000000000d0c878 in g_main_context_iterate (context=0x1d982b0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2448
#16 0x0000000000d0cd15 in IA__g_main_loop_run (loop=0x1dde050) at gmain.c:2656
#17 0x00000036fc143f47 in IA__gtk_main () at gtkmain.c:1205
#18 0x0000000000407221 in do_main (connection_path=<value optimized out>, argv=0x7fffd34d1898, argc=1) at ../src/npw-viewer.c:4501
#19 main (connection_path=<value optimized out>, argv=0x7fffd34d1898, argc=1) at ../src/npw-viewer.c:4675


Another one BT, another random PDF, I guess.
Comment 2 Martin Stransky 2009-03-25 09:24:07 EDT
Which pdf viewer do you use? Can you attach list of your mozilla plugins? And output of 'mozilla-plugin-config -l'?
Comment 3 Michal Nowak 2009-03-25 09:52:49 EDT
(In reply to comment #2)
> Which pdf viewer do you use? 

evince

> Can you attach list of your mozilla plugins? 

You mean "add-ons"?

> And
> output of 'mozilla-plugin-config -l'?  

EXCLUDE_WRAP:
libtotem*
libjavaplugin*
gecko-mediaplayer*
mplayerplug-in*
librhythmbox*
EXCLUDE_LINK:

/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mozplugger.so
  Original plugin: /usr/lib64/mozilla/plugins/mozplugger.so
  Wrapper version string: X (1.3.0)
File/Link /usr/lib64/mozilla/plugins-wrapped/libjavaplugin.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer.so
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libgnashplugin.so
  Original plugin: /usr/lib64/mozilla/plugins/libgnashplugin.so
  Wrapper version string: X (1.3.0)
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-dvx.so
File/Link /usr/lib64/mozilla/plugins-wrapped/librhythmbox-itms-detection-plugin.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-qt.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-wmp.so
File/Link /usr/lib64/mozilla/plugins-wrapped/packagekit-plugin.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-rm.so
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mozplugger.so
  Original plugin: /usr/lib64/mozilla/plugins/mozplugger.so
  Wrapper version string: X (1.3.0)
File/Link /usr/lib64/mozilla/plugins-wrapped/libjavaplugin.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer.so
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libgnashplugin.so
  Original plugin: /usr/lib64/mozilla/plugins/libgnashplugin.so
  Wrapper version string: X (1.3.0)
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-dvx.so
File/Link /usr/lib64/mozilla/plugins-wrapped/librhythmbox-itms-detection-plugin.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-qt.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-wmp.so
File/Link /usr/lib64/mozilla/plugins-wrapped/packagekit-plugin.so
File/Link /usr/lib64/mozilla/plugins-wrapped/gecko-mediaplayer-rm.so
Comment 4 Bug Zapper 2009-06-09 08:16:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Martin Stransky 2009-09-29 07:18:12 EDT
Can you still reproduce this issue?
Comment 6 Michal Nowak 2009-09-29 09:40:43 EDT
Nope...

Note You need to log in before you can comment on or make changes to this bug.